Add data format for TSV

2016-04-18 19:37 - Laura Moyers

Status: Closed Start date: 2016-04-18

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category: Format ID Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

Add tab-separated values (TSV) format to all environments, v1 and v2. 

text/tsv

Tab Separated Values Text

DATA
see also: http://www.nationalarchives.gov.uk/PRONOM/Format/proFormatSearch.aspx?status=detailReport&id=40

History

#1 - 2016-04-21 15:08 - Chris Jones

- Assignee changed from Chris Jones to Jing Tao

I'm assigning this to Jing since he'll be making some other object format list changes.

#2 - 2016-04-21 15:10 - Chris Jones

And Jing, just as a reminder, when you add TSV to the V1 list, the media type and extension stuff isn't included. Cheers, Chris

#3 - 2016-04-21 21:27 - Jing Tao

- Status changed from New to Closed

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

Added the new format on cn-buildout/dataone-cn-metacat/usr/share/metacat/debian/objectFormatListV2.xml. Also copied the file to

d1_common_java/src/main/resources/org/dataone/service/resources/config/v2/objectFormatList.xml as a cache.

And commit them to the svn trunk.

Copy the objectFormatListV2.xm to /usr/share/metacat/debian on cn-dev, cn-sandbox, can-stage and cn. On the directory run

insertOrUpdateObjectFormatList.sh objectFormatListV2.xml
